export default function healthCheck(el){

    el.innerHTML = `
      <h3>Health Check</h3>
      <input type="number" class="duration" value="45" placeholder="Enter 'unhealthy' duration (seconds)">
      <input type="button" class="btnUnhealthy" value="Make Unhealthy" />
      <input type="button" class="btnStatusCheck" value="Check Health">
      <div class="status">Status</div>
    `;

    const txtDuration = el.querySelector(".duration");
    const statusDiv = el.querySelector(".status");
    const btnUnhealthy = el.querySelector(".btnUnhealthy")
    const btnStatusCheck = el.querySelector(".btnStatusCheck");

    
    btnUnhealthy.addEventListener("click", () => {
      const currentTime = new Date();
      const duration = txtDuration.value * 1000;
      const until = currentTime.getTime() + duration;
      axios.get("/make-unhealthy?until=" + until).then(res => {
        console.log(res);
        statusDiv.textContent = "Unhealthy until " + new Date(until).toString();
      });
    });
    
    
    
    btnStatusCheck.addEventListener("click", () => {
      let statusCode;
      axios.get("/health").then(res => statusCode = res.status)
      .catch(err => statusCode = err.status)
      .finally(() => alert("Health Check Status Code: " + statusCode));
    });

    


}